Summary:	High speed arbitrary size integer math
Name:		perl-Math-GMP
Version:	2.04
Release:	10%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Math-GMP/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHIPT/Math-GMP-%{version}.tar.gz
Patch0:		perl-Math-GMP-2.04-x86_64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	gmp-devel, perl(ExtUtils::MakeMaker)

%description
Math::GMP was designed to be a drop-in replacement both for Math::BigInt and
for regular integer arithmetic. Unlike BigInt, though, Math::GMP uses the GNU
gmp library for all of its calculations, as opposed to straight Perl functions.
This can result in speed improvements.

%prep
%setup -q -n Math-GMP-%{version}
%ifarch x86_64 ppc64 ia64 sparc64
%patch0 -p0
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{perl_vendorarch}/Math/
%{perl_vendorarch}/auto/Math/
%{_mandir}/man3/Math::GMP.3pm*

%changelog
* Fri Jun  6 2008 Paul Howarth <paul@city-fan.org> 2.04-10
- Apply 64-bit testsuite-fixing patch on sparc64 too

* Tue Mar 25 2008 Paul Howarth <paul@city-fan.org> 2.04-9
- Apply 64-bit testsuite-fixing patch on ia64 too (#436649)

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.04-8
- Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 2.04-7
- Autorebuild for GCC 4.3

* Mon Aug 13 2007 Paul Howarth <paul@city-fan.org> 2.04-6
- Clarify license as LGPL, version 2 or later

* Wed Apr 18 2007 Paul Howarth <paul@city-fan.org> 2.04-5
- Buildrequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Wed Aug 30 2006 Paul Howarth <paul@city-fan.org> 2.04-4
- FE6 mass rebuild

* Thu Feb 16 2006 Paul Howarth <paul@city-fan.org> 2.04-3
- Rebuild

* Tue Feb  7 2006 Paul Howarth <paul@city-fan.org> 2.04-2
- Apply patch to fix broken testsuite on 64-bit arches (CPAN RT#12751)

* Tue Nov 29 2005 Paul Howarth <paul@city-fan.org> 2.04-1
- Initial build
